org.apache.ignite.ml.knn.ann

## Class ANNClassificationModel.ANNJSONExportModel

- java.lang.Object
- - org.apache.ignite.ml.inference.json.JSONModel
  - - org.apache.ignite.ml.knn.ann.ANNClassificationModel.ANNJSONExportModel

- Enclosing class:
    ANNClassificationModel

      public static class ANNClassificationModel.ANNJSONExportModel
      extends JSONModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `List<double[]>` | `candidateFeatures` Centers of clusters.
    `ProbableLabel[]` | `candidateLabels`
    `ANNClassificationTrainer.CentroidStat` | `centroindsStat` Centroid statistics.
    `DistanceMeasure` | `distanceMeasure` Distance measure.
    `int` | `k` Amount of nearest neighbors.
    `boolean` | `weighted` kNN strategy.

    - ### Fields inherited from class org.apache.ignite.ml.inference.json.JSONModel

      `formatVersion, JSON_MODEL_FORMAT_VERSION, modelClass, timestamp, uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANNJSONExportModel()`
    `ANNJSONExportModel(Long timestamp, String uid, String modelClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ANNClassificationModel` | `convert()` Convert JSON string to IgniteModel object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### candidateFeatures

          public List<double[]> candidateFeatures

      Centers of clusters.

    - #### candidateLabels

          public ProbableLabel[] candidateLabels

    - #### distanceMeasure

          public DistanceMeasure distanceMeasure

      Distance measure.

    - #### k

          public int k

      Amount of nearest neighbors.

    - #### weighted

          public boolean weighted

      kNN strategy.

    - #### centroindsStat

          public ANNClassificationTrainer.CentroidStat centroindsStat

      Centroid statistics.

  - ### Constructor Detail

    - #### ANNJSONExportModel

          public ANNJSONExportModel(Long timestamp,
                                    String uid,
                                    String modelClass)

    - #### ANNJSONExportModel

          public ANNJSONExportModel()

  - ### Method Detail

    - #### convert

          public ANNClassificationModel convert()

      Convert JSON string to IgniteModel object.
      Specified by:
        `convert` in class `JSONModel`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023